{
  "compilerOptions": {
    "target": "ES2020",
    "module": "CommonJS",
    "strict": true,
    "outDir": "./dist",
    "rootDir": "./src",
    "esModuleInterop": true,
    "skipLibCheck": true,
    "experimentalDecorators": true,
    "emitDecoratorMetadata": true,
    "resolveJsonModule": true,
    "forceConsistentCasingInFileNames": true,
    "baseUrl": ".",
    "paths": {
      "@src/*": ["./src/*"],
      "./deepseek.adapter": ["./src/ai/deepseek.adapter"],
      "./tongyi.adapter": ["./src/ai/tongyi.adapter"]
    }
  },
  "include": ["src/**/*"]
}